POST api/Dashboard/GetDashBoardPendingCPWAcm/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfPendingCPWAcmDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of PendingCPWAcmDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"Scheduled": true,
"ScheduleDate": "2026-06-20T12:57:12.6634834-07:00",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"CaseTypeId": 3,
"TimeZoneName": "sample string 4",
"FirstName": "sample string 5",
"LastName": "sample string 6",
"EmployeeId": "sample string 7",
"CaseNo": 1,
"CorporationCode": "sample string 24",
"CompanyName": "sample string 8",
"WLName": "sample string 9",
"ServiceType": "sample string 10",
"InteractionType": 1,
"ComponentType": 11,
"ClinicalPathwayTypeName": "sample string 12",
"Action": 13,
"Attempts": 1,
"Note": "sample string 14",
"CallActivationId": 1,
"CallActivationName": "sample string 15",
"ClinicalPathwayTypeId": 11,
"EntityId": 1,
"FullName": "sample string 6, sample string 5",
"ScheduledTime": "00:00:00.1234567 - 00:00:00.1234567 (sample string 4)",
"ScheduledSet": "Yes",
"Sequence": 16,
"CallBackNumber": "sample string 17",
"ScheduleEndDate": "2026-06-20T12:57:12.6634834-07:00",
"UTCFOLDate": "2026-06-20T12:57:12.6634834-07:00",
"TimeZoneOffSet": "sample string 18",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:57:12.6634834-07:00",
"DateUpdated": "2026-06-20T12:57:12.6634834-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Scheduled": true,
"ScheduleDate": "2026-06-20T12:57:12.6634834-07:00",
"ScheduleStartTime": "00:00:00.1234567",
"ScheduleEndTime": "00:00:00.1234567",
"CaseTypeId": 3,
"TimeZoneName": "sample string 4",
"FirstName": "sample string 5",
"LastName": "sample string 6",
"EmployeeId": "sample string 7",
"CaseNo": 1,
"CorporationCode": "sample string 24",
"CompanyName": "sample string 8",
"WLName": "sample string 9",
"ServiceType": "sample string 10",
"InteractionType": 1,
"ComponentType": 11,
"ClinicalPathwayTypeName": "sample string 12",
"Action": 13,
"Attempts": 1,
"Note": "sample string 14",
"CallActivationId": 1,
"CallActivationName": "sample string 15",
"ClinicalPathwayTypeId": 11,
"EntityId": 1,
"FullName": "sample string 6, sample string 5",
"ScheduledTime": "00:00:00.1234567 - 00:00:00.1234567 (sample string 4)",
"ScheduledSet": "Yes",
"Sequence": 16,
"CallBackNumber": "sample string 17",
"ScheduleEndDate": "2026-06-20T12:57:12.6634834-07:00",
"UTCFOLDate": "2026-06-20T12:57:12.6634834-07:00",
"TimeZoneOffSet": "sample string 18",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:57:12.6634834-07:00",
"DateUpdated": "2026-06-20T12:57:12.6634834-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}